Bug 513298 - AVC errors for xm save operation in rhts
AVC errors for xm save operation in rhts
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-22 17:53 EDT by Gurhan Ozen
Modified: 2013-11-03 20:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 16:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2009-07-22 17:53:28 EDT
Description of problem:

type=SYSCALL msg=audit(1247585893.558:75): arch=c000003e syscall=21 success=no exit=-13 a0=7b11cd0 a1=2 a2=3df612f258 a3=1 items=0 ppid=8867 pid=14125 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="python" exe="/usr/bin/python" subj=system_u:system_r:xm_t:s0 key=(null)
type=AVC msg=audit(1247585893.558:75): avc:  denied  { write } for  pid=14125 comm="python" name="xm" dev=dm-0 ino=9502801 scontext=system_u:system_r:xm_t:s0 tcontext=system_u:object_r:mnt_t:s0 tclass=dir

This doesn't happen when ran manually. 

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-249.el5

How reproducible:
Very.
Comment 3 Daniel Walsh 2009-07-23 10:07:33 EDT
This avc indicates a write operation between xm and a directory labeled mnt_t
Any idea what it is trying to create under /mnt?

Note You need to log in before you can comment on or make changes to this bug.